comparison configure @ 81385:d4063b17fcab

Updated.
author Jan Djärv <jan.h.d@swipnet.se>
date Wed, 13 Jun 2007 20:43:51 +0000
parents f50b45eabb35
children e300151b6b3a
comparison
equal deleted inserted replaced
81384:278c83e76b8a 81385:d4063b17fcab
410 exitcode=1 410 exitcode=1
411 echo positional parameters were not saved. 411 echo positional parameters were not saved.
412 fi 412 fi
413 413
414 test \$exitcode = 0") || { 414 test \$exitcode = 0") || {
415 echo No shell found that supports shell functions. 415 echo Please tell bug-autoconf@gnu.org about your system,
416 echo Please tell autoconf@gnu.org about your system, 416 echo including any error possibly output before this message.
417 echo including any error possibly output before this 417 echo This can help us improve future autoconf versions.
418 echo message 418 echo Configuration will now proceed without shell functions.
419 } 419 }
420 420
421 421
422 422
423 as_lineno_1=$LINENO 423 as_lineno_1=$LINENO
13065 { echo "$as_me:$LINENO: result: yes" >&5 13065 { echo "$as_me:$LINENO: result: yes" >&5
13066 echo "${ECHO_T}yes" >&6; } 13066 echo "${ECHO_T}yes" >&6; }
13067 else 13067 else
13068 { echo "$as_me:$LINENO: result: no" >&5 13068 { echo "$as_me:$LINENO: result: no" >&5
13069 echo "${ECHO_T}no" >&6; } 13069 echo "${ECHO_T}no" >&6; }
13070 { { echo "$as_me:$LINENO: error: libXpm is required, but I didn't find it.
13071 Maybe some development libraries/packages are missing?
13072 Use --with-xpm=no if you don't wan't to link with libXpm" >&5
13073 echo "$as_me: error: libXpm is required, but I didn't find it.
13074 Maybe some development libraries/packages are missing?
13075 Use --with-xpm=no if you don't wan't to link with libXpm" >&2;}
13076 { (exit 1); exit 1; }; }
13070 fi 13077 fi
13071 fi 13078 fi
13072 fi 13079 fi
13073 13080
13074 if test "${HAVE_XPM}" = "yes"; then 13081 if test "${HAVE_XPM}" = "yes"; then
13276 fi 13283 fi
13277 13284
13278 fi 13285 fi
13279 13286
13280 13287
13288 if test "${HAVE_JPEG}" != "yes"; then
13289 { { echo "$as_me:$LINENO: error: libjpeg is required, but I didn't find it.
13290 Maybe some development libraries/packages are missing?
13291 Use --with-jpeg=no if you don't wan't to link with libjpeg" >&5
13292 echo "$as_me: error: libjpeg is required, but I didn't find it.
13293 Maybe some development libraries/packages are missing?
13294 Use --with-jpeg=no if you don't wan't to link with libjpeg" >&2;}
13295 { (exit 1); exit 1; }; }
13296 fi
13281 fi 13297 fi
13282 13298
13283 13299
13284 if test "${HAVE_JPEG}" = "yes"; then 13300 if test "${HAVE_JPEG}" = "yes"; then
13285 cat >>confdefs.h <<\_ACEOF 13301 cat >>confdefs.h <<\_ACEOF
13524 if test $ac_cv_lib_png_png_get_channels = yes; then 13540 if test $ac_cv_lib_png_png_get_channels = yes; then
13525 HAVE_PNG=yes 13541 HAVE_PNG=yes
13526 fi 13542 fi
13527 13543
13528 fi 13544 fi
13545 if test "${HAVE_PNG}" != "yes"; then
13546 { { echo "$as_me:$LINENO: error: libpng is required, but I didn't find it.
13547 Maybe some development libraries/packages are missing?
13548 Use --with-png=no if you don't wan't to link with libpng" >&5
13549 echo "$as_me: error: libpng is required, but I didn't find it.
13550 Maybe some development libraries/packages are missing?
13551 Use --with-png=no if you don't wan't to link with libpng" >&2;}
13552 { (exit 1); exit 1; }; }
13553 fi
13529 fi 13554 fi
13530 13555
13531 if test "${HAVE_PNG}" = "yes"; then 13556 if test "${HAVE_PNG}" = "yes"; then
13532 13557
13533 cat >>confdefs.h <<\_ACEOF 13558 cat >>confdefs.h <<\_ACEOF
13736 fi 13761 fi
13737 13762
13738 fi 13763 fi
13739 13764
13740 13765
13766 if test "${HAVE_TIFF}" != "yes"; then
13767 { { echo "$as_me:$LINENO: error: libtiff is required, but I didn't find it.
13768 Maybe some development libraries/packages are missing?
13769 Use --with-tiff=no if you don't wan't to link with libtiff" >&5
13770 echo "$as_me: error: libtiff is required, but I didn't find it.
13771 Maybe some development libraries/packages are missing?
13772 Use --with-tiff=no if you don't wan't to link with libtiff" >&2;}
13773 { (exit 1); exit 1; }; }
13774 fi
13741 fi 13775 fi
13742 13776
13743 if test "${HAVE_TIFF}" = "yes"; then 13777 if test "${HAVE_TIFF}" = "yes"; then
13744 13778
13745 cat >>confdefs.h <<\_ACEOF 13779 cat >>confdefs.h <<\_ACEOF
14037 14071
14038 cat >>confdefs.h <<\_ACEOF 14072 cat >>confdefs.h <<\_ACEOF
14039 #define HAVE_GIF 1 14073 #define HAVE_GIF 1
14040 _ACEOF 14074 _ACEOF
14041 14075
14076 else
14077 { { echo "$as_me:$LINENO: error: libgif or libungif is required, but I didn't find it.
14078 Maybe some development libraries/packages are missing?
14079 Use --with-gif=no if you don't wan't to link with libgif/ungif" >&5
14080 echo "$as_me: error: libgif or libungif is required, but I didn't find it.
14081 Maybe some development libraries/packages are missing?
14082 Use --with-gif=no if you don't wan't to link with libgif/ungif" >&2;}
14083 { (exit 1); exit 1; }; }
14042 fi 14084 fi
14043 fi 14085 fi
14044 14086
14045 ### Use -lgpm if available, unless `--with-gpm=no'. 14087 ### Use -lgpm if available, unless `--with-gpm=no'.
14046 HAVE_GPM=no 14088 HAVE_GPM=no